/****************************************************************************
** myTimer meta object code from reading C++ file 'myTimer.h'
**
** Created: Thu Oct 26 17:51:15 2000
**      by: The Qt MOC ($Id: qt/src/moc/moc.y   2.2.1   edited 2000-09-29 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#define Q_MOC_myTimer
#if !defined(Q_MOC_OUTPUT_REVISION)
#define Q_MOC_OUTPUT_REVISION 9
#elif Q_MOC_OUTPUT_REVISION != 9
#error "Moc format conflict - please regenerate all moc files"
#endif

#include "myTimer.h"
#include <qmetaobject.h>
#include <qapplication.h>

#if defined(Q_SPARCWORKS_FUNCP_BUG)
#define Q_AMPERSAND
#else
#define Q_AMPERSAND &
#endif


const char *myTimer::className() const
{
    return "myTimer";
}

QMetaObject *myTimer::metaObj = 0;

void myTimer::initMetaObject()
{
    if ( metaObj )
	return;
    if ( qstrcmp(QTimer::className(), "QTimer") != 0 )
	badSuperclassWarning("myTimer","QTimer");
    (void) staticMetaObject();
}

#ifndef QT_NO_TRANSLATION

QString myTimer::tr(const char* s)
{
    return qApp->translate( "myTimer", s, 0 );
}

QString myTimer::tr(const char* s, const char * c)
{
    return qApp->translate( "myTimer", s, c );
}

#endif // QT_NO_TRANSLATION

QMetaObject* myTimer::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    (void) QTimer::staticMetaObject();
#ifndef QT_NO_PROPERTIES
#endif // QT_NO_PROPERTIES
    QMetaData::Access *slot_tbl_access = 0;
    metaObj = QMetaObject::new_metaobject(
	"myTimer", "QTimer",
	0, 0,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    metaObj->set_slot_access( slot_tbl_access );
#ifndef QT_NO_PROPERTIES
#endif // QT_NO_PROPERTIES
    return metaObj;
}
